* {
	margin: 0;
	padding: 0;
	box-sizing: border-box;
}
html,
body {
	min-width: 1500px;
	font-size: 16px;
	background: #fefcf7;
}
html {
	font-family: "Microsoft YaHei", 微软雅黑, "MicrosoftJhengHei", 华文细黑,
		STHeiti, MingLiu, system-ui, -apple-system, BlinkMacSystemFont, "Segoe UI",
		Roboto, Oxygen, Ubuntu, Cantarell, "Open Sans", "Helvetica Neue", sans-serif;
	/* for chrome */
	/* for firefox */
	scrollbar-width: thin;
}
html::-webkit-scrollbar {
	width: 8px;
	height: 8px;
}
html::-webkit-scrollbar-track {
	border-radius: 7px;
}
html::-webkit-scrollbar-thumb {
	border-radius: 7px;
	background-image: linear-gradient(25deg, #4492e0, #64aef8, #64aef8);
}
ul li {
	list-style: none;
}
a {
	cursor: pointer;
	text-decoration: none;
}
input {
	outline: none;
	border: none;
}
input:focus {
	box-shadow: 0 0 3px 0px #777;
}
table {
	border-spacing: 0;
	border-collapse: collapse;
}
p {
	word-wrap: break-word;
}
.transition {
	transition: 0.4s ease all;
}
.cursor-pointer {
	cursor: pointer;
}
.hoverBright {
	transition: 0.25s ease-out all;
}
.hoverBright:hover {
	filter: brightness(1.2);
}
.hoverUnderline {
	transition: 0.25s ease-out all;
}
.hoverUnderline:hover {
	text-decoration: underline;
}
.show {
	display: block !important;
}
.hide {
	display: none !important;
}
.block {
	display: block;
}
.inline-block {
	display: inline-block;
}
.user-select-none {
	user-select: none;
	touch-action: none;
}
.fixed-full {
	position: fixed;
	left: 0;
	top: 0;
	bottom: 0;
	right: 0;
	overflow: hidden;
}
.w-full {
	width: 100%;
}
.h-full {
	height: 100%;
}
.flex {
	display: flex;
}
.grid {
	display: grid;
}
.flex-row {
	flex-direction: row;
}
.flex-column {
	flex-direction: column;
}
.flex-1 {
	flex: 1;
}
.flex-c {
	display: flex;
	align-items: center;
	justify-content: center;
}
.items-center {
	align-items: center;
}
.items-start {
	align-items: flex-start;
}
.justify-center {
	justify-content: center;
}
.justify-round {
	justify-content: space-around;
}
.justify-between {
	justify-content: space-between;
}
.justify-start {
	justify-content: flex-start;
}
.justify-end {
	justify-content: flex-end;
}
.text-center {
	text-align: center;
}
.padding-5 {
	padding: 5px;
}
.padding-10 {
	padding: 10px;
}
.margin-0-auto {
	margin: 0 auto;
}
.margin-5 {
	margin: 5px;
}
.margin-10 {
	margin: 10px;
}
.fade-enter-active,
.fade-leave-active {
	transition: 0.4s ease all;
}
.fade-enter-from,
.fade-leave-to {
	opacity: 0;
}
.gradual-mask {
	position: absolute;
	bottom: 0;
	left: 0;
	width: 100%;
	height: 30vh;
	background: linear-gradient(to bottom, transparent, #25282edc);
	pointer-events: none;
}
.gradual-mask.mask-top {
	bottom: unset;
	top: 0;
	background: linear-gradient(to top, transparent, #25282edc);
}
.layout {
	overflow: hidden;
}
#box {
	position: relative;
	width: 1400px;
	height: 1000px;
	margin: 0 auto;
}
.modal {
	display: none;
	background: #00000091;
	z-index: 999;
}
.modal .modal-wrapper {
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
	animation: fadeDown 0.4s ease-out;
}
@keyframes fadeDown {
	from {
		transform: translate(-50%, -55%);
		opacity: 0;
	}
	to {
		opacity: 1;
	}
}
.modal .modal-header {
	position: relative;
	padding: 40px 10px 10px;
}
.swiper-button-disabled {
	cursor: not-allowed;
	filter: grayscale(1);
}
.swiper-button-disabled:hover {
	filter: grayscale(1);
}
